This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 14546 - Cannot not enter a DNS with a dynamic IP
Cannot not enter a DNS with a dynamic IP
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Erik Troan
Winston gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-24 15:43 EDT by Hans de Goede
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-14 15:11:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2000-07-24 15:43:11 EDT
-nfs install
-dynamic ip
-no dns given by dhcp server, please enter one or leave blank if you don't
have one
-leave blank
-error: invalid dns, back to please enter or leave blank.

So one cannot leave the dns blank, as said in the text.
Comment 1 Michael Fulbright 2000-07-25 10:15:39 EDT
Is this the graphical or text mode installer (or both)?
Comment 2 Hans de Goede 2000-07-25 10:55:46 EDT
This is in the loader (before entering the nfs path to the install media) so I
guess it affects both.
Comment 3 Glen Foster 2000-07-30 15:44:32 EDT
This defect is considered MUST-FIX for Winston Gold-release
Comment 4 Erik Troan 2000-08-10 15:38:09 EDT
I can't find this text in CVS. Please reopen if in RC1
Comment 5 Hans de Goede 2000-08-10 16:29:52 EDT
Still there in rc1 (I only needed the bootnet disk to recreate it, so that went
fast)

To reproduce:
-edit your dhcpd.conf on your dhcp server so that it doesn't give out any dns
servers anymore
-restart dhcpd
-boot bootnet.img
-chooce dhcp
-it now prompts for a DNS saying that this may be left empty (exact message way
too long to reproduce)
-press enter (leave dns empty)
-get: "You entered an invalid IP address."
-press enter
-back at enter dns ip screen
Comment 6 Erik Troan 2000-08-14 15:11:56 EDT
Fixed for next build.

Note You need to log in before you can comment on or make changes to this bug.